> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Pause Subscription

> Use this API to temporarily pause a subscription. Once this API is called, the subscription status will be updated to "PAUSED". Only a periodic subscription can be paused. To reactivate the subscription, you can use the Activate Subscription API.



## OpenAPI

````yaml put /api/v2/subscriptions/{subReferenceId}/pause-subscription
openapi: 3.0.0
info:
  title: Cashfree Subscription API
  description: >-
    Create and manage subscriptions and collect recurring payments from
    customers easily with Cashfree Subscriptions.
  version: v2
servers:
  - url: https://sandbox.cashfree.com
    description: Sandbox server
  - url: https://api.cashfree.com
    description: Production server
security: []
externalDocs:
  url: https://docs.cashfree.com/reference/postman-collection-1
  description: This url will have the information of all the APIs.
paths:
  /api/v2/subscriptions/{subReferenceId}/pause-subscription:
    put:
      tags:
        - Subscription
      summary: Pause Subscription
      description: >-
        Use this API to temporarily pause a subscription. Once this API is
        called, the subscription status will be updated to "PAUSED". Only a
        periodic subscription can be paused. To reactivate the subscription, you
        can use the Activate Subscription API.
      operationId: pauseSubscription
      parameters:
        - name: X-Client-Id
          in: header
          required: true
          schema:
            type: string
            description: Client ID provided by Cashfree.
            example: clientId123
        - name: X-Client-Secret
          in: header
          required: true
          schema:
            type: string
            description: Client Secret provided by Cashfree.
            example: clientSecret456
        - name: subReferenceId
          in: path
          required: true
          schema:
            type: integer
            description: The reference ID of the subscription to be paused.
            example: 95491
      responses:
        '200':
          description: Successful pause of the subscription.
          content:
            application/json:
              examples:
                Pause Subscription Success:
                  value:
                    status: OK
                    message: Subscription paused successfully
        '400':
          description: Bad request due to invalid parameters or subscription type/status.
          content:
            application/json:
              examples:
                Invalid Subscription Type:
                  value:
                    error: 400
                    message: subscription type is not periodic
                Invalid Subscription Status:
                  value:
                    error: 400
                    message: invalid subscription status
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: Status of the API call.
                    example: ERROR
                  message:
                    type: string
                    description: Error message.
                    example: Server encountered an unexpected condition.

````